Name:		fgfs-Atlas
Summary:	Flightgear map tools
Version:	0.3.1
Release:	3%{?dist}

License:	GPL
Group:		Amusements/Games
Source:		http://downloads.sourceforge.net/sourceforge/atlas/Atlas-%{version}.tar.gz
Source1:	Atlas-default-maps.tar.gz
URL:		http://atlas.sourceforge.net
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	freeglut-devel, curl-devel, SimGear-devel, libpng-devel
Requires:	fgfs-base

%description
Atlas aims to produce and display high quality charts of the world for
users of FlightGear, an open source flight simulator. This is achieved
through two main parts: The map creator (simply called Map) and the
Atlas viewer

%prep
%setup -q -n Atlas-%{version}
find -type f -name '*.[hc]xx' -exec chmod a-x {} \;

%build
%configure CXXFLAGS="%{optflags} -fPIC" --with-fgbase=%{_datadir}/FlightGear
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/FlightGear
tar zxf %{SOURCE1} -C $RPM_BUILD_ROOT%{_datadir}/FlightGear

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root, 0755)
%doc AUTHORS COPYING NEWS README
%{_bindir}/*
%{_datadir}/FlightGear/*

%changelog
* Mon Apr 02 2007 Fabrice Bellet <fabrice@bellet.info> 0.3.1-3
- Fixed duplicate BuildRequires

* Sun Apr 01 2007 Fabrice Bellet <fabrice@bellet.info> 0.3.1-2
- Rebuild with new SimGear

* Tue Mar 20 2007 Fabrice Bellet <fabrice@bellet.info> 0.3.1-1
- Initial packaging
